/* eslint-disable no-unused-vars */
'use strict';

const Controller = require('egg').Controller;

class ChatController extends Controller {
  async message() {
    const { ctx, app, socket } = this;
    const message = ctx.args[0];
    console.log('Received message:', message);

    const clients = app.io.sockets.sockets;
    // query中的id为 用户id  io可以直接emit
    console.log(Object.values(clients)?.map((io, i) => {
      io.emit('message', message);
      return io;
    }));


  }
}

module.exports = ChatController;
